TechDraw 3PtAngleDimension: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 3: Line 3:
<!--T:22-->
<!--T:22-->
{{Docnav
{{Docnav
|[[TechDraw_Dimension_Angle|New Angle]]
|[[TechDraw_Dimension_Angle|Dimension Angle]]
|[[TechDraw_Dimension_Link|New Links]]
|[[TechDraw_Dimension_Link|Dimension Links]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Module|TechDraw]]
|IconL=TechDraw_Dimension_Angle.svg
|IconL=TechDraw_Dimension_Angle.svg
Line 23: Line 23:


<!--T:8-->
<!--T:8-->
The [[Image:TechDraw_Dimension_Angle3Pt.svg|24px]] Dimension Angle3Pt tool adds a angular dimension to a View. The dimension may be specified by selecting three Vertices on a View. '''Note that the second of the three Vertices is the apex of the angle'''. The Angle3Pt will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D angle using the {{Button|[[Image:TechDraw_Dimension_Link.svg|16px]] [[TechDraw_Dimension_Link|Link Dimension]]}} tool.
The [[Image:TechDraw_Dimension_Angle3Pt.svg|24px]] Dimension Angle3Pt tool adds a angular dimension to a View. The dimension may be specified by selecting three Vertices on a View. '''Note that the second of the three Vertices is the apex of the angle'''. The Angle3Pt will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D angle using the {{Button|[[Image:TechDraw_Dimension_Link.svg|16px]] [[TechDraw_Dimension_Link|Link Dimension]]}} tool.


</translate>
</translate>
Line 36: Line 36:
# Select the points or edge which define your measurement.
# Select the points or edge which define your measurement.
# Press the {{Button|[[Image:TechDraw_Dimension_Angle3Pt.png|16px]] [[TechDraw_Dimension_Angle3Pt|Dimension Angle3Pt]]}} button
# Press the {{Button|[[Image:TechDraw_Dimension_Angle3Pt.png|16px]] [[TechDraw_Dimension_Angle3Pt|Dimension Angle3Pt]]}} button
# A dimension will be added to the View. The dimension may be dragged to the desired position.
# A dimension will be added to the View. The dimension may be dragged to the desired position.


== Limitations == <!--T:15-->
== Limitations == <!--T:15-->
Line 68: Line 68:
<!--T:23-->
<!--T:23-->
{{Docnav
{{Docnav
|[[TechDraw_Dimension_Angle|New Angle]]
|[[TechDraw_Dimension_Angle|Dimension Angle]]
|[[TechDraw_Dimension_Link|New Links]]
|[[TechDraw_Dimension_Link|Dimension Links]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Module|TechDraw]]
|IconL=TechDraw_Dimension_Angle.svg
|IconL=TechDraw_Dimension_Angle.svg

Revision as of 20:48, 21 December 2020

TechDraw Dimension Angle3Pt

Menu location
TechDraw → Dimension Angle3Pt
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.18
See also
TechDraw Dimension Angle

Description

The Dimension Angle3Pt tool adds a angular dimension to a View. The dimension may be specified by selecting three Vertices on a View. Note that the second of the three Vertices is the apex of the angle. The Angle3Pt will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D angle using the Link Dimension tool.

Measuring the angle between two straight lines using three vertices; the second vertex should be the apex of the angle

Usage

  1. Select the points or edge which define your measurement.
  2. Press the File:TechDraw Dimension Angle3Pt.png Dimension Angle3Pt button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Limitations

Dimension objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information.

Properties

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Dimension Angle3Pt tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle3Pt"
dim1.References2D=[(view1, 'Vertex1',(view1, 'Vertex4'),(view1, 'Vertex2'))]
rc = page.addView(dim1)